<?php 
    if(!defined('PLX_ROOT')) exit;
    
    # Control du token du formulaire
    plxToken::validateFormToken($_POST);
    
    # nombre de commentaires existants
    $nbcommentaire='0';
    if(is_array($plxPlugin->getParams()))$nbcommentaire = floor(count($plxPlugin->getParams())/2);
    if(!empty($_POST)) {
        if (!empty($_POST['auteur-new']) AND !empty($_POST['commentaire-new']) AND !empty($_POST['projet-new']))  {
            # création d'un nouveau commentaire
            $newcommentaire = $nbcommentaire + 1;
            $plxPlugin->setParam('auteur'.$newcommentaire, plxUtils::strCheck($_POST['auteur-new']), 'cdata');
            $plxPlugin->setParam('commentaire'.$newcommentaire, plxUtils::strCheck($_POST['commentaire-new']), 'cdata');
            $plxPlugin->setParam('projet'.$newcommentaire, plxUtils::strCheck($_POST['projet-new']), 'string');
            $plxPlugin->saveParams();
            }else{
            
            # Mise à jour des commentaires existants
        for($i=1; $i<=$nbcommentaire; $i++) {
                if($_POST['delete'.intval($i)] != "1" AND !empty($_POST['auteur'.intval($i)]) AND !empty($_POST['commentaire'.intval($i)]) AND !empty($_POST['projet'.intval($i)])){ // si on ne supprime pas et que les commentaires ne sont pas vide
                    #mise a jour du auteur et commentaire
                    $plxPlugin->setParam('auteur'.$i, plxUtils::strCheck($_POST['auteur'.$i]), 'cdata');
                    $plxPlugin->setParam('commentaire'.$i, plxUtils::strCheck($_POST['commentaire'.$i]), 'cdata');
                    $plxPlugin->setParam('projet'.$i, plxUtils::strCheck($_POST['projet'.$i]), 'string');
                    $plxPlugin->saveParams();
                }
                if($_POST['delete'.intval($i)] == "1"){
                    # vide un commentaire pour le retirer à l'affichage
                    $plxPlugin->setParam('auteur'.$i, '', 'cdata');
                    $plxPlugin->setParam('commentaire'.$i, '', 'cdata');
                    $plxPlugin->setParam('projet'.$i, '', 'string');
                    $plxPlugin->saveParams();
                }
            }
        }	
        header("Location: parametres_plugin.php?p=".basename(__DIR__));
        exit;
    }
?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>Testimonials/app/style.css" media="screen"/>
<!-- navigation sur la page configuration du plugin -->
<nav id="tabby-1" class="tabby-tabs" data-for="example-tab-content">
	<ul>
		<li><a data-target="tab1" class="active" href="#">Les témoignages</a></li>
		<li><a data-target="tab2" href="#">Ajouter un témoignage</a></li>
		<li><a data-target="tab3" href="#">Information</a></li>
    </ul>
</nav>
<!-- contenu de la page configuration -->
<div class="tabby-content" id="example-tab-content">
    <!-- page pour afficher les témoignages -->
    <div data-tab="tab1">
        <h2><?php echo $plxPlugin->getInfo("description") ?></h2>
        <div class="formulaire">
            <!-- commentaires déja créés -->
            <form action="parametres_plugin.php?p=Testimonials" method="post">
                <fieldset>
                    <table class="full-width">
                        <thead>
                            <tr>
                                <th>N°</th>
                                <th>Auteur</th>
                                <th>Commentaire</th>
                                <th>Projet</th>
                                <th class="checkbox">Effacer</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php for($i=1; $i<=$nbcommentaire; $i++) {?>
                                <?php $auteur = $plxPlugin->getParam('auteur'.$i);
                                    if(!empty($auteur)) { ?>
                                    <tr class="line-<?= $i%2 ?>">
                                        <td class="id">
                                            <?php echo $i; ?>
                                        </td>
                                        <td class="auteur">
                                            <input type="text"  name="auteur<?= $i; ?>" value="<?= $plxPlugin->getParam('auteur'.$i) ?>" />
                                        </td>
                                        <td class="temoignage">
                                            <textarea rows="2"   name="commentaire<?= $i; ?>"><?= $plxPlugin->getParam('commentaire'.$i) ?></textarea>
                                        </td>
                                        <td class="projet">
                                            <input type="text" class="projet" name="projet<?= $i; ?>" value="<?= $plxPlugin->getParam('projet'.$i) ?>" />
                                        </td>
                                        <td class="checkbox">
                                            <input type="checkbox" name="delete<?= $i ?>" value="1">
                                        </td>
                                    </tr>
                                <?php }; ?>
                            <?php }; ?>
                        </tbody>
                    </table>
                </fieldset>
                <p class="in-action-bar">
                    <?php echo plxToken::getTokenPostMethod() ?>
                    <input class="bt" type="submit" name="submit" value="Mettre à jour" />
                </p>
            </form>
        </div>
    </div><!-- de la premiere page -->
    <!-- page pour créer un témoignage -->
    <div data-tab="tab2">
        <h2>Ajouter un nouveau témoignage</h2>
        <div class="new">
            <form action="parametres_plugin.php?p=Testimonials" method="post">
                <p>
                    <label for="auteur">Nom de l'auteur:</label>
                    <input type="text" name="auteur-new" value="" />
                </p>
                <p>
                    <label for="commentaire">Le témoignage de l'auteur:</label>
                    <textarea rows="8"   name="commentaire-new" value=""></textarea>
                </p>
                <p>
                    <label for="projet">Le projet:</label>
                    <input type="text" name="projet-new" value="" />
                </p>
                <p class="in-action-bar">
                    <?php echo plxToken::getTokenPostMethod() ?>
                    <input class="bt" type="submit" name="submit" value="Sauvegarder" />
                </p>
            </form>
        </div>
    </div><!-- fin de la page 2 -->
    <div data-tab="tab3">
        <h2>information</h2>
        <p>Pour afficher le plugin il suffit d'utiliser les codes suivants:</p>
        <p>dans un fichier <em>template</em> de votre thème.</p>
        <pre>
            <code>&lt;?php eval($plxShow->callHook('Testimonials')); ?&gt;</code>
        </pre>
        <p>ou dans une page "statique :</p>
        <pre>
            <code>&lt;?php eval($this->callHook('Testimonials')); ?&gt;</code>
        </pre>
        <p class="alert blue" style="text-align:center;padding:1em;max-width:max-content;margin:auto;">Si vous avez des questions,<br> 
        merci de consulter le sujet du forum et y poser vos questions:<br> 
        <a href="https://forum.pluxml.org/discussion/5146/plugin-testimonials" target="_blank" style="color:crimson;font-weight:bolder;">[plugin] Testimonials</a>.</p>
    </div>
</div>
		<script type="text/javascript" src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script src="<?= PLX_PLUGINS ?>Testimonials/app/jquery.tabby.js"></script>
<script>
    $(document).ready(function(){
        $('#tabby-1').tabby();
    });
</script>
